/*-*-c++-*-
 * $Id: ctrace_priv.cpp,v 1.1 2002/01/28 15:38:32 holzheu Exp $
 *
 * This file is part of qlcrash, a GUI for the dump-analysis tool lcrash.
 *
 * Copyright (C) 2001 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * Authors:
 * Michael Geselbracht (let@users.sourceforge.net)
 * Fritz Elfert (elfert@de.ibm.com)
 * Michael Holzheu (holzheu@de.ibm.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */
#include "ctrace_priv.h"

#include <qframe.h>
#include <qpushbutton.h>
#include <qcombobox.h>
//nclude <qmultilineedit.h>

#include "clistview.h"

CTrace_priv::CTrace_priv(QWidget* parent) : QWidget(parent, 0)
{
/*
	oArea = new QMultiLineEdit(this);
	oArea->setDefaultTabStop(16);
	oArea->setReadOnly(true);
	oArea->setFont(QFont("Courier"));
*/
	oArea = new CListView(this);
	oArea->setSorting(-1);
	oArea->addColumn(tr("Address"));
	oArea->addColumn(tr("Offset"));
	oArea->addColumn(tr("Mnemonic"));
}

CTrace_priv::~CTrace_priv()
{
}

void
CTrace_priv::resizeEvent(QResizeEvent*)
{
	oArea->setGeometry(0, 0, width(), height());
}

